## org.opengis.temporal
Interface ClockTime

All Superinterfaces:
  TemporalPosition

All Known Subinterfaces:
  DateAndTime

    @UML(identifier="TM_ClockTime",
         specification=ISO_19108)
    public interface ClockTime

extends TemporalPosition

A data type that shall be used to identify a temporal position within a day. Because temporal position cannot by itself completely identify a single temporal position; it shall be used with calendar date for that purpose. It may be also used to identify the time of occurrence of an event that recurs every day.

Method Summary
`Number[]` `getClockTime()` A sequence of numbers with a structure similar to that of `CalendarDate`.

Methods inherited from interface TemporalPosition
`getIndeterminatePosition`

Method Detail

### getClockTime

    @UML(identifier="clkTime",
         obligation=MANDATORY,
         specification=ISO_19108)
    Number[] getClockTime()

  A sequence of numbers with a structure similar to that of `CalendarDate`. The first number integer identifies a specific instance of the unit used at the highest level of the clock hierarchy, the second number identifies a specific instance of the unit used at the next lower level, and so on. All but the last number in the sequence shall be integers; the last number may be integer or real.

  TODO:
    Should we returns an array of some primitive type instead?, Method name doesn't match the UML attribute name.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.